%define anolis_release 2

Name:       xrdb
Version:    1.2.1
Release:    %{anolis_release}%{?dist}
Summary:    X server resource database utility
License:    MIT
URL:        https://www.x.org
Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.bz2

BuildRequires:  gcc make automake libtool
BuildRequires:  pkgconfig(xmu) pkgconfig(x11) pkgconfig(xorg-macros) >= 1.8

Recommends: cpp

Obsoletes:  xorg-x11-server-utils < 7.7

%description
xrdb is used to get or set the contents of the RESOURCE_MANAGER property on
the root window of screen 0, or the SCREEN_RESOURCES property on the
root window of any or all screens, or everything combined.

%package        doc
Summary:    Documentation files for %{name}
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
autoreconf -v --install
%configure --disable-silent-rules
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files doc
%doc ChangeLog README.md INSTALL AUTHORS 

%changelog
* Wed Apr 12 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.2.1-2
- optimise spec file

* Tue Oct 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.1-1
- init from upstream
